Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	Open Dynamics Engine
Name:      	ode
Version:   	0.7
Release:   	1
Provides:	libode
License: 	BSD/LGPL-2.1
URL:		http://www.ode.org/ode.html
Group:     	System/Libraries
Source0: 	%{name}-src-%{version}.zip
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:	libstdc++-devel
BuildRequires:  unzip

%description
ODE is an open source, high performance library for simulating rigid body dynamics. It is fully featured, stable, mature and platform independent with an easy to use C/C++ API. It has advanced joint types and integrated collision detection with friction. ODE is useful for simulating vehicles, objects in virtual reality environments and virtual creatures. It is currently used in many computer games, 3D authoring tools and simulation tools.

%package devel
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for developing applications using %{name}


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}


%build
export LDFLAGS="-L/usr/X11R6/lib"
./configure 	--prefix=%{_prefix} \
		--mandir=%{_mandir} \
		--infodir=%{_infodir} \
		--sysconfdir=%{_sysconfdir} \
		--localstatedir=%{_localstatedir} \
		--enable-release \
		--enable-double-precision \
		--enable-opcode \
		--enable-gyroscopic

make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc CHANGELOG.txt README.txt
%{_bindir}/*
%{_libdir}/*.so*


%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.7-1
- Version update
* Sat Aug 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6-1
- initial release
